Debian Bug report logs - #326876
k3d: FTBFS (amd64): errno: TLS definition in /lib/libc.so.6 section .tbss mismatches non-TLS reference in ../../modules/javascript/js/src/.libs/libjs.a(k_standard.o)

version graph

Package: k3d; Maintainer for k3d is Manuel A. Fernandez Montecelo <mafm@debian.org>; Source for k3d is src:k3d.

Reported by: Andreas Jochens <aj@andaco.de>

Date: Tue, 6 Sep 2005 11:03:06 UTC

Severity: serious

Tags: fixed-in-experimental, patch

Found in version k3d/0.4.5.0-5

Fixed in version k3d/0.5.0.35-1

Done: David Martínez Moreno <ender@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Martínez Moreno <ender@debian.org>:
Bug#326876; Package k3d. Full text and rfc822 format available.

Acknowledgement sent to Andreas Jochens <aj@andaco.de>:
New Bug report received and forwarded. Copy sent to David Martínez Moreno <ender@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Jochens <aj@andaco.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: k3d: FTBFS (amd64): errno: TLS definition in /lib/libc.so.6 section .tbss mismatches non-TLS reference in ../../modules/javascript/js/src/.libs/libjs.a(k_standard.o)
Date: Tue, 06 Sep 2005 12:55:48 +0200
Package: k3d
Version: 0.4.5.0-5
Severity: serious
Tags: patch

When building 'k3d' on amd64/unstable, I get the following error:

x86_64-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/x86_64-linux-gnu/4.0.2/../../../../lib64/crti.o /usr/lib/gcc/x86_64-linux-gnu/4.0.2/crtbeginS.o  .libs/engine.o .libs/object_model.o .libs/renderman.o .libs/streams.o -Wl,--whole-archive ../../modules/javascript/js/src/.libs/libjs.a ../../boost/libs/regex/src/.libs/libregexpp.a -Wl,--no-whole-archive  -Wl,--rpath -Wl,/srv/dbuild/tmp/k3d-0.4.5.0/k3dsdk/.libs -Wl,--rpath -Wl,/srv/dbuild/tmp/k3d-0.4.5.0/sdpxml/.libs ../../k3dsdk/.libs/libk3dsdk.so ../../sdpxml/.libs/libsdpxml.so /usr/lib/libsigc-2.0.so -L/usr/lib/gcc/x86_64-linux-gnu/4.0.2 -L/usr/lib/gcc/x86_64-linux-gnu/4.0.2/../../../../lib64 -L/usr/lib/gcc/x86_64-linux-gnu/4.0.2/../../.. -L/lib/../lib64 -L/usr/lib/../lib64 -lstdc++ -lm -lc -lgcc_s /usr/lib/gcc/x86_64-linux-gnu/4.0.2/crtendS.o /usr/lib/gcc/x86_64-linux-gnu/4.0.2/../../../../lib64/crtn.o  -Wl,-soname -Wl,libk3djavascript.so.0 -o .libs/libk3djavascript.so.0.0.0
/usr/bin/ld: errno: TLS definition in /lib/libc.so.6 section .tbss mismatches non-TLS reference in ../../modules/javascript/js/src/.libs/libjs.a(k_standard.o)
/lib/libc.so.6: could not read symbols: Bad value
collect2: ld returned 1 exit status
make[4]: *** [libk3djavascript.la] Error 1
make[4]: Leaving directory `/srv/dbuild/tmp/k3d-0.4.5.0/modules/javascript'
make[3]: *** [all-recursive] Error 1

The attached patch fixes this by using '#include <errno.h>'
instead of the declaration 'int errno;'.

The patch also include the fix for the "'Value' has incomplete type" bug.

Regards
Andreas Jochens

diff -urN ../tmp-orig/k3d-0.4.5.0/modules/javascript/js/src/fdlibm/k_standard.c ./modules/javascript/js/src/fdlibm/k_standard.c
--- ../tmp-orig/k3d-0.4.5.0/modules/javascript/js/src/fdlibm/k_standard.c	2004-11-04 13:04:12.000000000 +0000
+++ ./modules/javascript/js/src/fdlibm/k_standard.c	2005-09-06 09:05:53.000000000 +0000
@@ -51,16 +51,7 @@
  */
 
 #include "fdlibm.h"
-
-/* XXX ugly hack to get msvc to link without error. */
-#if _LIB_VERSION == _IEEE_ && !(defined(DARWIN) || defined(XP_MACOSX))
-   int errno;
-#  define EDOM 0
-#  define ERANGE 0
-#else
-#  include <errno.h>
-#endif
-
+#include <errno.h>
 
 #ifndef _USE_WRITE
 #include <stdio.h>			/* fputs(), stderr */
diff -urN ../tmp-orig/k3d-0.4.5.0/k3dsdk/path_data.h ./k3dsdk/path_data.h
--- ../tmp-orig/k3d-0.4.5.0/k3dsdk/path_data.h	2004-04-25 22:19:07.000000000 +0000
+++ ./k3dsdk/path_data.h	2005-09-06 08:09:36.000000000 +0000
@@ -25,6 +25,7 @@
 		\author Tim Shead (tshead@k-3d.com)
 */
 
+#include <boost/filesystem/path.hpp>
 #include "data.h"
 
 namespace k3d



Tags added: fixed-in-experimental Request was from David Martínez Moreno <ender@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Martínez Moreno <ender@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Andreas Jochens <aj@andaco.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 326876-close@bugs.debian.org (full text, mbox):

From: David Martínez Moreno <ender@debian.org>
To: 326876-close@bugs.debian.org
Subject: Bug#326876: fixed in k3d 0.5.0.35-1
Date: Sun, 11 Dec 2005 17:32:10 -0800
Source: k3d
Source-Version: 0.5.0.35-1

We believe that the bug you reported is fixed in the latest version of
k3d, which is due to be installed in the Debian FTP archive:

k3d-dev_0.5.0.35-1_i386.deb
  to pool/main/k/k3d/k3d-dev_0.5.0.35-1_i386.deb
k3d_0.5.0.35-1.diff.gz
  to pool/main/k/k3d/k3d_0.5.0.35-1.diff.gz
k3d_0.5.0.35-1.dsc
  to pool/main/k/k3d/k3d_0.5.0.35-1.dsc
k3d_0.5.0.35-1_i386.deb
  to pool/main/k/k3d/k3d_0.5.0.35-1_i386.deb
k3d_0.5.0.35.orig.tar.gz
  to pool/main/k/k3d/k3d_0.5.0.35.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 326876@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Martínez Moreno <ender@debian.org> (supplier of updated k3d package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 12 Dec 2005 01:14:51 +0100
Source: k3d
Binary: k3d-dev k3d
Architecture: source i386
Version: 0.5.0.35-1
Distribution: unstable
Urgency: low
Maintainer: David Martínez Moreno <ender@debian.org>
Changed-By: David Martínez Moreno <ender@debian.org>
Description: 
 k3d        - 3D modeling and animation system
 k3d-dev    - 3D modeling and animation system - Development files
Closes: 278966 320904 326876 331104 335125 341936
Changes: 
 k3d (0.5.0.35-1) unstable; urgency=low
 .
   * New upstream release. A summary of changes follow:
     - Integrated SGI's GLU tesselator.
     - Changed Rotate tool's middle sphere for a torus handle, Rotate tool is
       now complete except that it only works in GLOBAL mode.
     - Filters are now called modifiers.
     - Scripts run from the NGUI can be interrupted with the Escape key.
     - Restored visible selection for mesh modifiers.
     - Added Python support for point groups and scripting sample.
     - Added plugin module proxies to improve startup time (currently
       disabled).
     - Created ShowMatrix plugin
     - Cosmetic fixes.
     - Several fixes.
   * Uploaded to unstable, now that the C++ transition seems to be almost over.
 .
 k3d (0.5.0.34-0pre3) experimental; urgency=low
 .
   * Rebuild with current sid.
 .
 k3d (0.5.0.34-0pre2) experimental; urgency=low
 .
   * Added python to Build-Depends. Thanks, Martin Zobel-Helas (closes:
     #341936).
 .
 k3d (0.5.0.34-0pre1) experimental; urgency=low
 .
   * New upstream release. A summary of changes follow:
     - Many code cleanups, reorganizations and updates, pulled out several
       deprecated plugins (including JavaScript engine).
     - New selection system using k3d::mesh_selection properties for
       undoable-selection and full integration with the Directed Graph.
     - document node collection is stored/serialized/loaded in node-creation order,
       enabling efficient/persistent node lookups by index.
     - Updated document schema to match new [nodes] terminology, with full
       backwards-compatibility.
     - Context menu is attached to the document and isn't recreated on each
       call anymore.
     - Toolbar is now a panel.
     - Updated the NGUI so the +Z axis is "up", rewrote viewport navigation.
     - TAB key jumps to the next entry in Node Properties panel.
     - Duplicate now works with objects other than MeshInstances.
     - Selected panel has a blue border.
     - bug-buddy submits reports to the SF tracker and now have a privacy
       statement.
     - NGUI selection button control displays tooltips and disables buttons based
       on selection state.
     - Tutorials are possible now using almost all the tools.
     - Added Aqsis plugins.
     - Added real sphere implementation to PolySphere and Quads Only option,
       renamed existing one to "Spherical Cylinder".
     - Set default colors to most of RenderMan shaders.
     - shader parser now supports point, vector, normal and angle types
       properly.
   * Removed /usr/share/k3d/shaders/layered from debian/k3d.dirs, as it is now
     included upstream.
   * I do not fully understand why k3d is not using PNG icons. In the
     meanwhile, added a hardcoded runtime dependency on librsvg2-2 in order to
     use the scalable icons.
   * Patched modules/quadrilateral_remeshing/quadrilateral_remeshing.cpp in
     order to support new k3dsdk.
 .
 k3d (0.5.0.33-0pre2) experimental; urgency=low
 .
   * Rebuild package with last changes.
   * debian/control: Added (>> 2.9.5-5) to librsvg2-bin dependency, as all the
     previous versions did not include my patch to librsvg-bin, thus breaking
     rsvg->png conversion.
   * Added /usr/share/k3d/shaders/layered to debian/k3d.dirs to workaround a
     startup error.
 .
 k3d (0.5.0.33-0pre1) experimental; urgency=low
 .
   * 0.6 prerelease:
     - Lots of bug fixes!
     - Lots of enhancements!
     - Lots of code!
     - Lots of new funcionalities!
     - Lots of new bugs!
   * This package is now compiled against a current unstable (closes: #331104).
   * I understand that this bug came in when gcc 4.0 was used to build this
     package. This new release does not have this problem (closes: #320904).
   * New release does not have javascript at all. It was dropped in favour of
     Python (closes: #326876).
   * Stripped down boost/ from the tarball, as we are going to use external
     boost libraries.
   * New package will be compiled with gcc 4.0 on amd64, and boost libraries
     are not now included (see above), thus not having this problem (closes:
     #278966).
   * Activated again graphviz in the configure line, as it is out of non-free
     now.
   * debian/control:
     - Build-Depends now reflect the current unstable environment.
     - Added libgtkmm-2.4-dev to dependencies.
     - Added gettext.
     - Removed automake1.6 (closes: #335125).
     - Build-Depend on librsvg2-bin > 2.9.5-5 as it was broken for relative
       paths as used in share/ngui/rasterized/Makefile.
     - k3d-doc package has gone, as the documentation is now the wiki.
   * Added full Python support to debian/control, dh_python to debian/rules,
     and ${python:Depends} to the Depends line.
   * Fixed some whitespace in djpig's NMU entry, confusing lintian.
   * debian/copyright: Changed FSF address.
 .
 k3d (0.5.0.22-1) experimental; urgency=low
 .
   * Started to package 0.5.x branch. Lots (and when I say lots, is LOTS) of
     new features, new GUI, new plugins, new functions...I love new branches.
     :-)
   * debian/control: Added a lot of new build dependencies. The new
     versions had a lot of exciting things, like Python scripting,
Files: 
 980a8abd7fdc1a15896e47751cc25f79 951 graphics optional k3d_0.5.0.35-1.dsc
 d7f596158a095ec4b7d6081b7f0fbcb9 4498583 graphics optional k3d_0.5.0.35.orig.tar.gz
 292aeb6553bed49c461eadee6993da25 8145 graphics optional k3d_0.5.0.35-1.diff.gz
 74f775d0f799dd70654b5167515c3a2a 10175532 graphics optional k3d_0.5.0.35-1_i386.deb
 9bfdd471a1b816b211f7ef34306c097f 240964 graphics optional k3d-dev_0.5.0.35-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDnMkHWs/EhA1iABsRAjWLAJ9NAnmGhm3d095KxLZcWeKxoq1C+wCfeS1S
VrYGawOoBbhzFrxA/A3KtAw=
=+Zh4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 14:38:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:56:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.